#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	python3-PyQt-builder
Version		:	1.14.0
Release		:	14.4.0.0%{?dist}
Summary		:	The PEP 517 compliant PyQt build system
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2 or GPLv3
URL		:	https://www.riverbankcomputing.com/software/pyqt/

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python3-setuptools

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
PyQt-builder is the PEP 517 compliant build system
for PyQt and projects that extend PyQt. It extends
the sip build system and uses Qt's qmake to perform
the actual compilation and installation of extension
modules.Projects that use PyQt- builder provide an
appropriate pyproject.toml file and an optional project.py.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE-GPL2
%license LICENSE-GPL3
%{_bindir}/pyqt-bundle
%{_bindir}/pyqt-qt-wheel
%{python3_sitelib}/pyqtbuild/*.py
%{python3_sitelib}/pyqtbuild/__pycache__/*.pyc
%{python3_sitelib}/pyqtbuild/bundle/*.py
%{python3_sitelib}/pyqtbuild/bundle/__pycache__/*.pyc
%{python3_sitelib}/pyqtbuild/bundle/dlls/msvc-32/*.dll
%{python3_sitelib}/pyqtbuild/bundle/dlls/msvc-64/*.dll
%{python3_sitelib}/pyqtbuild/bundle/dlls/openssl-32/libcrypto-1_1.dll
%{python3_sitelib}/pyqtbuild/bundle/dlls/openssl-32/libssl-1_1.dll
%{python3_sitelib}/pyqtbuild/bundle/dlls/openssl-64/libcrypto-1_1-x64.dll
%{python3_sitelib}/pyqtbuild/bundle/dlls/openssl-64/libssl-1_1-x64.dll
%{python3_sitelib}/pyqtbuild/bundle/packages/*.py
%{python3_sitelib}/pyqtbuild/bundle/packages/__pycache__/*.pyc
%{python3_sitelib}/pyqtbuild/bundle/qt_wheel_distinfo/
%{python3_sitelib}/PyQt_builder-%{version}-py*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
%{__rm} -r *builder.egg-info

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__python}						\
	setup.py					\
	test

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	--root %{buildroot}				\
	--skip-build					\
	--optimize=1					\

#-----------------------------------------------------------------------------
%changelog
